> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# [Autenticado] Criar um novo post



## OpenAPI

````yaml /openapi/tenant.pt-BR.json post /api/v2/community/posts
openapi: 3.0.1
info:
  title: Cativa Tenant API (public)
  version: public
servers:
  - url: https://apis.cativalab.digital/tenant
security: []
paths:
  /api/v2/community/posts:
    post:
      tags:
        - Posts
      summary: '[Autenticado] Criar um novo post'
      operationId: CreatePost
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Cativa.Community.Post.Application.Requests.Authenticated.CreatePost.CreatePostRequest
        required: true
      responses:
        '200':
          description: OK
      security:
        - Bearer: []
components:
  schemas:
    Cativa.Community.Post.Application.Requests.Authenticated.CreatePost.CreatePostRequest:
      type: object
      properties:
        content:
          type: string
          nullable: true
        htmlContent:
          type: string
          nullable: true
        rawContent:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        isPrivate:
          type: boolean
        allowComments:
          type: boolean
        toId:
          type: string
          format: uuid
          nullable: true
        groupId:
          type: string
          format: uuid
          nullable: true
        speechUrl:
          type: string
          nullable: true
        hashTags:
          type: array
          items:
            type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        imageIds:
          type: array
          items:
            type: string
            format: uuid
          nullable: true
        videoIds:
          type: array
          items:
            type: string
            format: uuid
          nullable: true
        attachmentIds:
          type: array
          items:
            type: string
            format: uuid
          nullable: true
        mediaAssetIds:
          type: array
          items:
            type: string
            format: uuid
          nullable: true
        sendPushNotification:
          type: boolean
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer
        <token>.
      scheme: bearer
      bearerFormat: JWT

````